Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1103457 - Review Request: liquid-dsp - Software-Defined Radio Digital Signal Processing Library
Summary: Review Request: liquid-dsp - Software-Defined Radio Digital Signal Processing...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-06-01 00:52 UTC by Florian Tani
Modified: 2016-07-29 13:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 13:20:00 UTC


Attachments (Terms of Use)

Description Florian Tani 2014-06-01 00:52:21 UTC
Spec URL: http://openlabs.cc/linux/fedora/liquid-dsp/liquid-dsp.spec
SRPM URL: http://openlabs.cc/linux/fedora/liquid-dsp/liquid-dsp-1.2.0-1.fc18.src.rpm
Description: liquid-dsp is a free and open-source digital signal processing (DSP)library designed specifically for software-defined radios on embedded platforms.
The aim is to provide a lightweight DSP library that does not rely on a myriad of external dependencies or proprietary and otherwise cumbersome frameworks. 
All signal processing elements are designed to be flexible, scalable, and dynamic, including filters, filter design,oscillators, modems, synchronizers, and complex mathematical operations.

Fedora Account System Username: ftani

Comment 1 Michael Schwendt 2014-06-05 19:30:51 UTC
FAS says:

| Error!
| 
| The following error(s) have occurred with your request:
| 
|    username: 'ftani' does not exist.

It seems you meant: floriantani

Comment 2 Michael Schwendt 2014-06-05 19:33:41 UTC
Btw, same here as with your other review request (bug 1092431):

| 
| %files
| %doc COPYING HISTORY README.md TROUBLESHOOTING
| 

The built package does not include anything other than these %doc files. That's not the only mistake in this spec file, but it tells that you haven't tested your packages at all. :-(

Comment 3 Miroslav Suchý 2015-10-20 20:46:52 UTC
Florian, please update and test you spec and srpm before applying.
Here are some pointers:
https://fedorahosted.org/copr/wiki/UserDocs#HowcanIpackagesoftwareasRPM

Comment 4 Miroslav Suchý 2016-07-29 13:20:00 UTC
No response so far. Closing. Please reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.